<template>
    <!-- 弹出框表单 -->
    <el-dialog :title="title" :visible.sync="open" width="90%" append-to-body>
        <el-form ref="form" :model="form" :rules="rules" label-width="120px">
            <el-row>

                 <Field
          :span="24"
          label="受理标准"
          prop="content"
          v-model="form.content"
          type="textarea"
          :rows='6'
          placeholder="请输入受理标准"
        />
                  
                                         
            </el-row>

        </el-form>
        <div slot="footer" class="dialog-footer">
            <el-button type="primary" v-if="pageInfo.type !== 'view'" @click="submitForm">确 定</el-button>
            <el-button @click="cancel">取 消</el-button>
        </div>
    </el-dialog>
</template>

<script>
    import form from "@/assets/mixins/formdialog";
    import dialogShow from "./dialogshow";
    import Editor from '@/components/Editor';
    export default {
        mixins: [form],
        components: {
            dialogShow ,
            Editor,
        },
        data() {
            return {
                textareaSize:6,
                 urls: {
        currUrl: "/matter/accept/add",
        addUrl: "/matter/accept/add",
         editUrl: "/matter/accept/edit",
        saveUrl: "/matter/accept/save",
      },
                // 遮罩层
                loading: true,
                // 弹出层标题
                title: "事项受理条件",
                // 是否显示弹出层
                open: false,
                toString:[
                    "source",
                ],
                // 表单校验
                rules: {
                }
            };
        },

        methods: {
            /** 编辑 */
            edit(row) {
                this.reset()
                this.query = { id: row.id };
                this.urls.currUrl =this.urls.editUrl;;
                this.getData();
                this.pageInfo.type="edit"
                this.title = "修改事项受理条件";
            },
            /** 新增 */
            add(row) {
                this.reset()
                this.query = { id: row.id };
                this.urls.currUrl = this.urls.addUrl;
                this.getData();
                this.pageInfo.type="add"
                this.title = "新增事项受理条件";
            },
            /** 查看*/
            view(row) {
                this.reset()
                this.query = { id: row.id };
                this.urls.currUrl =this.pageInfo.viewUrl;;
                this.getData();
                this.pageInfo.type="view"
                this.title = "事项受理条件详细";
            },
            /**取消按钮 */
            cancel() {
                this.open = false;
            },
            /**获取数据后弹框 */
            afterRender(data) {
                this.open = true;
            },

            afterSubmit(data) {
                this.open = false;
                this.$emit("ok");
            },

            // 表单重置
            reset() {
                this.form = {
                    matterId : this.matterId,
                    matterName : null,
                    content : null,
                    source : 1,
                };
                this.resetForm("form");
            },
            resetForm(refName) {
                if (this.$refs[refName]) {
                    this.$refs[refName].resetFields();
                }
            },
        },
    };
</script>
